#ifndef TheaterServer_h
#define TheaterServer_h

#include "reflector/ReflectServer.h"
#include "TheaterConstants.h"

namespace theater {

/** A customized reflection server for grabbing streaming data and swarm-izing it. */
class TheaterServer : public ReflectServer
{
public: 
   /** Constructor
     * @param optWatchMem Optional allocator to use to get memory usage info
     */
   TheaterServer(MemoryAllocator * optWatchMem = NULL);
  
   /** Destructor */
   ~TheaterServer();

   virtual const char * GetServerName() const {return "MasterBesTheater";}
};

};  // end namespace theater

#endif
